Subject: Re: bug#23561: epg tests are (almost) always skipped

From: Noam Postavsky <[email-masked]>
Date: Mon, 16 Jul 2018 07:29:48 -0400

close 23561 
quit

Glenn Morris <[email-masked]> writes:

> Noam Postavsky wrote:
>
>> However, I see that package-test-signed is also skipped[2].  Does that
>> mean gpg isn't installed at all anymore?
>
> I don't know what the cause of [2] is, but gnupg is still installed.

The config check was failing due to HOME not existing (I didn't see that
locally, because I had a wrapper script to pretend to have a different
gpg version).  Fixed in [3: 10a7e91956].

Then it turns out the passphrase doesn't work for symmetric tests[4], I
assume it's some quirk of that version, so I've set those to skip [7:
7acb87ab97], [10: 4318d70677].

[3: 10a7e91956]: 2018-07-14 23:45:27 -0400
  Fix gpg detection for tests (Bug#23561)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=10a7e91956ebc5d808c88aecffb9d71a568d0233

[4]: https://nix-cache.s3.amazonaws.com/log/gjkmrr81ah59lyyi7q6ykpaiba9ps5ir-emacs-coverage-unknown.drv

[7: 7acb87ab97]: 2018-07-15 16:26:22 -0400
  Don't test symmetric operations on gpg 2.0 (Bug#23561)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=7acb87ab97082026e692e1d1d679df2313148343

[10: 4318d70677]: 2018-07-15 21:51:54 -0400
  Reject gpg 2.0 for epg configs by default (Bug#23561)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=4318d70677dedea12a3dcfb689bce71e409212f0